=== debian/changelog ===
libstorj (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #869130)

 -- Josue Ortega <josue@debian.org>  Wed, 30 Aug 2017 19:42:56 -0600
