=== debian/control ===
Source: libstorj
Section: libs
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=9),
 autotools-dev,
 pkg-config,
 libmicrohttpd-dev,
 bsdmainutils,
 libcurl4-gnutls-dev,
 nettle-dev,
 libjson-c-dev,
 libuv1-dev
Standards-Version: 4.0.1
Homepage: https://github.com/Storj/libstorj
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libstorj.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libstorj.git

Package: libstorj0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Asynchronous C library for file transfer on the Storj network
 Asynchronous multi-platform C library for encrypted file transfer on  the Storj
 network.
 libstorj provides the following features:
  - Asynchronous I/O with concurrent peer-to-peer network requests for shards
  - Erasure encoding with reed solomon for data durability
  - Robust handling of shard transfers by selecting alternative sources
  - File integrity and authenticity verified with HMAC-SHA512
  - File encryption with AES-256-CTR
  - File name and bucket name encryption with AES-256-GCM
  - Proxy support with SOCKS5, SOCKS4, SOCKS4a
  - Asynchronous progress updates in bytes per file
  - Transfers can be cleanly canceled per file
  - Seed based file encryption key for portability between devices
  - Reference implementation for SIP5 file standard

Package: libstorj-dev
Section: libdevel
Provides: libstorj-dev
Conflicts: libstorj-dev
Architecture: any
Depends: ${misc:Depends},
 libstorj0  (= ${binary:Version}),
 libmicrohttpd-dev,
 libcurl4-gnutls-dev,
 nettle-dev,
 libjson-c-dev,
 libuv1-dev
Description: C library for file transfer on Storj network (Development files)
 Asynchronous multi-platform C library for encrypted file transfer on  the Storj
 network.
 libstorj provides the following features:
  - Asynchronous I/O with concurrent peer-to-peer network requests for shards
  - Erasure encoding with reed solomon for data durability
  - Robust handling of shard transfers by selecting alternative sources
  - File integrity and authenticity verified with HMAC-SHA512
  - File encryption with AES-256-CTR
  - File name and bucket name encryption with AES -256 -GCM
  - Proxy support with SOCKS5, SOCKS4, SOCKS4a
  - Asynchronous progress updates in bytes per file
  - Transfers can be cleanly canceled per file
  - Seed based file encryption key for portability between devices
  - Reference implementation for SIP5 file standard
 .
 This package contains the development files for libjstorj.

Package: storj
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libstorj0 (= ${binary:Version})
Description: Command Line Tool for encrypted file transfer on the Storj network
 CLI Tool for file transfer on the Storj network, it provides an interface for
 setting up users profiles, work with buckets and files, download and
 upload files and get information from the Storj API.
