=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	$(CURDIR)/autogen.sh
	./configure --prefix=/usr
	#dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/Makefile.in
	rm -f $(CURDIR)/aclocal.m4
	rm -f $(CURDIR)/configure
	rm -f $(CURDIR)/src/Makefile.in
	rm -f $(CURDIR)/test/Makefile.in
	rm -rf $(CURDIR)/build-aux

override_dh_auto_install:
	dh_auto_install
	#Removes non-empty dependency_libs at .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

override_dh_auto_test:
	#Disable tests
