## libstorj 1.0.3

=== depends/Makefile ===
--- 
+++ 
@@ -27,13 +27,14 @@
 # mac build
 DARWIN_SDK_PATH ?= "$(CURDIR)/MacOSX10.11.sdk"
 DARWIN_CFLAGS = "-target $(HOST) -isysroot $(DARWIN_SDK_PATH) -mmacosx-version-min=10.8 -mlinker-version=253.9 -pipe -I$(PREFIX_DIR)include"
+DARWIN_CXXFLAGS = "-target $(HOST) -isysroot $(DARWIN_SDK_PATH) -mmacosx-version-min=10.8 -mlinker-version=253.9 -pipe -I$(PREFIX_DIR)include"
 DARWIN_LDFLAGS="-L$(TOOLCHAIN_BUILD_DIR)lib -L$(DARWIN_SDK_PATH)/usr/lib -L$(PREFIX_DIR)lib -Wl,-syslibroot $(DARWIN_SDK_PATH)"
 
 build_SHA256SUM = sha256sum -c
 
 build_env=
 ifeq ($(host_os), darwin)
-build_env=PATH="$(TOOLCHAIN_BUILD_DIR)bin:${PATH}" CC=clang CXX=clang++ CFLAGS=$(DARWIN_CFLAGS) LDFLAGS=$(DARWIN_LDFLAGS)
+build_env=PATH="$(TOOLCHAIN_BUILD_DIR)bin:${PATH}" CC=clang CXX=clang++ CFLAGS=$(DARWIN_CFLAGS) CXXFLAGS=$(DARWIN_CXXFLAGS) LDFLAGS=$(DARWIN_LDFLAGS)
 endif
 ifeq ($(HOST), i686-pc-linux-gnu)
 build_env=CFLAGS=-m32 CXXFLAGS=-m32 LDFLAGS=-m32
@@ -101,8 +102,7 @@
 
 define extract_toolchain_file_build
 	mkdir -p "$(TOOLCHAIN_BUILD_DIR)"; \
-	tar xfv "$(DOWNLOAD_DIR)$($(1)_file_name)" -C "$(TOOLCHAIN_BUILD_DIR)" --strip-components=1; \
-	rm -f $(TOOLCHAIN_BUILD_DIR)lib/libc++abi.so
+	tar xfv "$(DOWNLOAD_DIR)$($(1)_file_name)" -C "$(TOOLCHAIN_BUILD_DIR)" --strip-components=1
 endef
 
 ifeq ($(host_os), darwin)
@@ -113,7 +113,7 @@
 	$(foreach package,cctools,$(call extract_toolchain_file,$(package));)
 	cd "$(TOOLCHAIN_SOURCE_DIR)cctools/cctools" && \
 	if test -f "./autogen.sh"; then ./autogen.sh; fi && \
-	PATH="$(TOOLCHAIN_BUILD_DIR)bin:${PATH}" CC=clang CXX=clang++ ./configure --prefix="$(TOOLCHAIN_BUILD_DIR)" --target="x86_64-apple-darwin11" || exit && \
+	./configure --prefix="$(TOOLCHAIN_BUILD_DIR)" --target="x86_64-apple-darwin11" || exit && \
 	make || exit && \
 	make install || exit && \
 	cd "$(CURDIR)"
