=== debian/changelog ===
libstorj (1.0.3-1build2) focal; urgency=medium

  * No-change rebuild against libnettle7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 22:12:18 +0000

libstorj (1.0.3-1build1) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:55:15 +0200

libstorj (1.0.3-1) unstable; urgency=medium

  * New upstream release (1.0.3).
  * Bump debhelper compat level to 11:
    - Remove autotools-dev from build-dependencies.
  * debian/rules: Remove call of debhelper tools from autotools-dev.
  * debian/control: Change Vcs-* fields to use salsa.debian.org.
  * Bumps Standards-Version to 4.3.0:
    - debian/control: Add Rules-Requires-Root field.
  * Add Build-Depends-Pacakge field to libstorj0 symbols file

 -- Josue Ortega <josue@debian.org>  Sun, 30 Dec 2018 11:48:58 -0600
