=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libstorj
 Section: libs
 Priority: optional
-Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>=9),
- autotools-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josue Ortega <josue@debian.org>
+Build-Depends: debhelper (>=11),
  pkg-config,
  libmicrohttpd-dev,
  bsdmainutils,
@@ -11,10 +11,11 @@
  nettle-dev,
  libjson-c-dev,
  libuv1-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://github.com/Storj/libstorj
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libstorj.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libstorj.git
+Vcs-Git: https://salsa.debian.org/debian/libstorj.git
+Vcs-Browser: https://salsa.debian.org/debian/libstorj
 
 Package: libstorj0
 Architecture: any
