=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libstorj-$1\.tar\.gz/ \
  https://github.com/Storj/libstorj/tags .*/v*(\d\S*)\.tar\.gz
